DO $$
    DECLARE _path character varying(256) = 'patch-2025_10_15-UserEmails';
    BEGIN
        IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path" = _path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build" >= 15499) THEN
            RETURN;
        END IF;

        BEGIN
				
				ALTER TABLE public."UserEmails" ADD COLUMN "Type" INT DEFAULT 0, ADD COLUMN "ParentId" BIGINT;

            INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
        EXCEPTION
            WHEN OTHERS THEN RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;
    END;
$$;